* {
  padding: 0%;
  margin: 0%;
  text-decoration: none;
  list-style: none;
  box-sizing: border-box;
}
main {
  margin: 0%;
  padding: 0%;
}
h1 {
  text-align: center;
  padding: 20px 0;
  font-family: "Lato", sans-serif;
  font-size: 25px;
}
h2 {
  text-align: center;
  padding: 10px 0;
  font-family: "Lato", sans-serif;
  font-size: 20px;
}
h3 {
  text-align: center;
  font-family: "Lato", sans-serif;
  font-size: 18px;
}
h4 {
  text-align: center;
  font-family: "Lato", sans-serif;

  font-size: 18px;
  padding-bottom: 10px;
}
.footer .heading {
  font-family: "Lato", sans-serif;
  text-align: center;
  font-size: 20px;
  line-height: 30px;
  padding-bottom: 10px;
  font-weight: 500;
}

p {
  font-family: "Lato", sans-serif;
  text-align: center;
  font-size: 15px;
  line-height: 26px;
}

/*Home page*/
nav {
  background-color: rgb(1, 20, 15);
  width: 100%;
  transition: 0.4s;
  position: sticky;
  top: 0;
  padding-top: 5px;
  z-index: 5;
}
label.logo {
  padding: 0 80px;
}
nav ul {
  float: right;
  margin-right: 20px;
}
nav li {
  display: inline-block;
  line-height: 50px;
  margin: 0 15px;
}
nav ul li a {
  color: white;
  font-size: 16px;
  text-transform: uppercase;
  padding: 5px 10px;
  font-family: "Catamaran", sans-serif;
  letter-spacing: 0.9px;
}
a.active,
nav a:hover {
  background-color: rgb(27, 73, 60);
  transition: 0.5s;
}
.checkbtn {
  font-size: 30px;
  color: aliceblue;
  float: right;
  line-height: 40px;
  margin: 20px;
  cursor: pointer;
  display: none;
}
#check {
  display: none;
}
.wall-image {
  height: auto;
  width: 100%;
}
.index--wallpic {
  position: relative;
}
.title {
  position: absolute;
  top: 50px;
  right: 50px;
}
.title p {
  font-size: 30px;
  color: white;
}
a.callbtn {
  color: #fff;
  letter-spacing: 1.5px;
}

.what-btn {
  font-size: 15px;
  padding: 10px;
  background-color: rgb(1, 20, 15);
  border-radius: 5px;
  color: white;
  font-family: "Lato", sans-serif;
  margin: 20px 0;
  cursor: pointer;
}
.what-btn:hover {
  transform: scale(1.1);
}
.what-btn-2 {
  font-size: 15px;
  padding: 10px;
  background-color: rgb(10, 32, 26);
  border-radius: 5px;
  color: white;
  font-family: "Lato", sans-serif;
  margin: 20px 0;
  cursor: pointer;
}
.what-btn-2:hover {
  transform: scale(1.1);
}
.section {
  display: flex;
  width: 100%;
  margin: 20px auto;
  padding: 0 20px;
}
.section--img {
  flex: 1;
}
.section-img-plumber {
  border-radius: 10px;
}
.section--text {
  flex: 1;
  text-align: center;
  padding: 10px;
  line-height: 25px;
  font-family: "Catamaran", sans-serif;
  letter-spacing: 0.9px;
}
/*slideshow*/
.sliderContainer {
  position: relative;
  margin: auto;
  vertical-align: middle;
}

.slider {
  position: relative;
  height: 600px;
  width: 100%;
  z-index: 1;
}
.slide1,
.slide2,
.slide3 {
  position: absolute;
  width: 100%;
  height: 100%;
}
.slide1 {
  background-image: url(./asset/im1.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  animation: fade1 8s infinite;
}
.slide2 {
  background-image: url(./asset/im4.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  animation: fade2 8s infinite;
}
.slide3 {
  background-image: url(./asset/im5.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  animation: fade3 8s infinite;
}

@keyframes fade1 {
  0% {
    opacity: 1;
  }
  25% {
    opacity: 0;
  }
  75% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes fade2 {
  0% {
    opacity: 0;
  }
  25% {
    opacity: 1;
  }
  75% {
    opacity: 0;
  }
  100% {
    opacity: 0;
  }
}
@keyframes fade3 {
  0% {
    opacity: 0;
  }
  25% {
    opacity: 0;
  }
  75% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

.about-section {
  display: flex;
  width: 80%;
  margin: 0px auto;
  padding: 0 20px;
}
.about-section--img {
  flex: 1;
  margin-top: 25px;
}
.about-section-img-plumber {
  border-radius: 10px;
  width: 100%;
}
.about-section--text {
  flex: 2;
  padding: 10px 10px 0 10px;
  line-height: 25px;
  font-family: "Noto Sans Display", sans-serif;
}
.about-section--text p {
  text-align: left;
}
.section--two {
  background-color: aliceblue;
}
/*services page*/
article {
  background-color: aliceblue;
}
.services-section {
  display: flex;
  width: 80%;
  margin: 10px auto;
  background-color: white;
}
.section--text {
  padding: 40px;
}

/* home page */
.our-services {
  display: flex;
  width: 100%;
}
.services {
  padding: 30px;
  background-color: white;
  letter-spacing: 0.5px;
}
.services-icon {
  display: block;
  margin-left: auto;
  margin-right: auto;
}
.services-icon:hover {
  color: white;
}
.services:hover {
  background-color: rgb(1, 20, 15);
  transition: 0.7s;
  color: white;
}
.row {
  display: flex;
  flex-wrap: wrap;
  padding-top: 10px;
  background-color: white;
}
.column {
  flex: 25%;
  max-width: 25%;
}
.column img {
  width: 100%;
}
/*contact page*/

.contact-section {
  display: flex;
  width: 100%;
  margin: 20px 0;
  padding-left: 70px;
}
.contact-info {
  width: 30%;
  background-color: rgb(1, 20, 15);
  color: white;
  margin: 0 20px;
  display: grid;
  place-items: center;
}
.contact-form {
  padding: 20px;
  background-color: antiquewhite;
  width: 60%;
}

.contact-title {
  padding: 10px 15px;
}
.contact-form .form {
  width: 100%;
  max-width: 650px;
  margin: 0 auto;
  display: block;
}
.contact-form-inner {
  display: flex;
  flex-wrap: wrap;
}

.contact-form-list {
  display: block;
  margin-bottom: 20px;
  padding: 0 15px;
}
.contact-form-label {
  font-size: 14px;
  padding-bottom: 6px;
  font-weight: 500;
  display: block;
  cursor: pointer;
}
.contact-form-input {
  width: 100%;
  border-radius: 5px;
  height: 45px;
  padding: 0 15px;
}
.contact-form-list-fullCol {
  width: 100%;
  padding: 0 15px;
}
.contact-form-list-fullCol h4 {
  text-align: left;
  margin-top: 5px;
  margin-bottom: 5px;
}
#verificationcode {
  margin-top: 10px;
}
#Reset {
  padding: 2px;
  margin-top: 5px;
}
.contact-form-textarea {
  width: 100%;
}
.contact-form-btn {
  border: none;
  cursor: pointer;
  font-weight: 500;
  color: #ffffff;
  background-color: #6ab04c;
  padding: 15px 35px;
  margin-top: 15px;
  border-radius: 5px;
  transition: background-color 0.5s;
  text-transform: uppercase;
}
.contact-map {
  overflow: hidden;
  width: 100%;
}
.mapouter {
  position: relative;
  text-align: right;
  height: 380px;
  width: 1080px;
}
/* Shop Page */
.products{
  display: flex;
  margin: 40px 20px;
}
 /* New code */
.product-item{
  background-color: rgb(211, 211, 211);
  margin-right: 20px; 
  margin-bottom: 20px;
  padding: 20px 20px;
}
 /* New code */
.products img {
  height: 225px;
  width: auto;
  margin-bottom: 10px;
}
 /* New code */
.product-label {
  text-align: center;
}
 /* New code */
.product-label p{
  font-size: 15px;
  font-weight: bold;
  color: #000;
}


/* footer page*/
.footer {
  background-color: rgb(10, 32, 26);
  display: flex;
  justify-content: space-evenly;

  padding-bottom: 30px;
}
.footertext {
  color: white;
  padding-top: 40px;
}
.footerhour {
  color: white;
  padding-top: 40px;
}
.SocialMediaFooter {
  color: white;
  padding-top: 30px;
}
.SocialMediaFooter img {
  display: block;
  margin-left: auto;
  margin-right: auto;
}
.SocialMediaFooter .footer-icons {
  text-align: center;
}
.SocialMediaFooter .footer-icons .icons {
  display: inline-block;
}
.SocialMediaFooter .footer-icons .icons a {
  color: #fff;
  background: #000;
  display: inline-block;
  padding: 5px 10px;
  border-radius: 2px;
  transition: all linear 0.5s;
  margin: 2px;
}

.footer-icons {
  display: flex;
  justify-content: center;

  color: white;
}
#one,
#two,
#three {
  height: 15px;
  width: 15px;
  margin: 8px;
}

.footer-copyright > p {
  background-color: rgb(1, 20, 15);
  color: white;
  text-align: center;
  padding: 10px 0;
  line-height: 30px;
  font-family: "Lato", sans-serif;
  font-size: 15px;
}

.footer p {
  line-height: 30px;
  font-family: "Lato", sans-serif;
  font-size: 15px;
}
.footer-copyright {
  font-size: 14px;
  line-height: 30pxssssssssssssssssssssss;
}
@media (max-width: 1200px) {
  .contact-form-list {
    width: 100%;
    padding: 0 15px;
  }
}
@media (min-width: 1200px) {
  .contact-form-list {
    width: 50%;
    padding: 0 15px;
  }
}
@media (max-width: 920px) {
  .checkbtn {
    display: block;
    font-size: 40px;
    color: aliceblue;
    float: right;
    line-height: 17px;
    margin: 3px 20px 3px 5px;
    cursor: pointer;
  }
  ul {
    position: fixed;
    width: 100%;
    height: 100vh;
    background-color: rgb(29, 48, 42);
    top: 57px;
    left: -100%;
    text-align: center;
    transition: all 0.5s;
  }
  nav ul li {
    display: block;
    margin: 30px 0px;
    line-height: 40px;
  }
  nav ul li a {
    font-size: 15px;
  }
  a:hover,
  a.active {
    background: none;
    color: aqua;
  }
  #check:checked ~ ul {
    left: 0;
  }
  .section {
    display: block;
  }
  .section--text {
    line-height: 20px;
  }
  .about-section {
    display: block;
  }
  .column {
    flex: 500%;
    max-width: 50%;
  }
  .services-section {
    display: block;
  }
  .our-services {
    flex-direction: column;
    align-items: center;
  }
  .services {
    width: 80%;
  }
  .contact-section {
    display: block;
    padding-left: 0px;
  }
  .contact-info {
    width: 100%;
    margin: 0%;
    padding: 50px 0 50px 0;
  }
  .contact-form {
    width: 100%;
  }
  .contact-form-inner {
    display: block;
  }
  .contact-map {
    width: 100%;
  }
   /* New code */
  .products{
    display: block;
  }
 /* New code */
  .product-item{
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 50%;
  }
   /* New code */
  .product-item img{
    width: 100%;
  } 
  .footer {
    flex-direction: column;
  }
  .footertext {
    padding-bottom: 20px;
  }
  .footerhour {
    padding-bottom: 20px;
  }
}
@media (max-width: 720px) {
   /* New code */
  .product-item{
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 70%;
  }
}
@media (max-width: 520px) {
  label.logo {
    line-height: 80px;
    padding: 0 10px 50px 50px;
    font-weight: bold;
  }
  .column {
    flex: 100%;
    max-width: 100%;
  }

  /* New code */
  .product-item{
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 80%;
  }
}
